<template>
  <el-row :gutter="20">
    <el-col :span="12">
      <el-form-item label="Наименование компании для ЦБ" prop="">
        <el-input v-model="this.personForm.ip.name_comp_for_cb"/>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="ОГРН" prop="">
        <el-input v-model="this.personForm.ip.ogrn"/>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Дата ОГРН" prop="">
        <el-date-picker
            v-model="this.personForm.ip.data_reg"
            type="date"
            placeholder="Дата ОГРН"
            format="YYYY/MM/DD"
            value-format="YYYY-MM-DD"
        />
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Орган регистрации" prop="">
        <el-input v-model="this.personForm.ip.organ_registr"/>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="ОКПО" prop="">
        <el-input v-model="this.personForm.ip.okpo"/>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="ОКФС" prop="">
        <el-input v-model="this.personForm.ip.okfc"/>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="ОКВЭД" prop="">
        <el-input v-model="this.personForm.ip.okved"/>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="ОКОГУ" prop="">
        <el-input v-model="this.personForm.ip.okogu"/>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="ОКТМО" prop="">
        <el-input v-model="this.personForm.ip.oktmo"/>
      </el-form-item>
    </el-col>
    <el-col :span="12">
      <el-form-item label="Сектор экономики" prop="">
        <el-select v-model="this.personForm.ip.sektor_ekon_id" placeholder="Сектор экономики">
          <el-option
              v-for="item in this.dictionaries.economic_sector"
              :key="item.id"
              :label="item.name"
              :value="item.id"
          />
        </el-select>
      </el-form-item>
    </el-col>
  </el-row>
</template>

<script>
import moment from "moment";
export default {
  data:()=>({
    loading: false,
  }),
  methods:{
    dateFormat(data){
      return moment(data).format('DD.MM.YYYY')
    }
  },
  computed:{
    personForm() {
      return this.$store.getters.get_person_form;
    },
    dictionaries() {
      return this.$store.getters.get_dictionaries;
    },
    options() {
      return this.$store.getters.get_options;
    }
  }
}
</script>